Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Member Functions | Private Attributes | List of all members
eZ\Publish\Core\QueryType\QueryParameterContentViewQueryTypeMapper Class Reference

Maps a ContentView to a QueryType using the 'query' parameter from the view configuration. More...

Inheritance diagram for eZ\Publish\Core\QueryType\QueryParameterContentViewQueryTypeMapper:

## Public Member Functions
| __construct (QueryTypeRegistry $queryTypeRegistry)
| map (ContentView $contentView)

## Private Member Functions
| extractParametersFromContentView (ContentView $contentView)
| extractParameters (ContentView $contentView, $queryParameterValue)
| evaluateExpression (ContentView $contentView, $queryParameterValue)

## Private Attributes
| $queryTypeRegistry

## Detailed Description

Maps a ContentView to a QueryType using the 'query' parameter from the view configuration.

Definition at line 16 of file QueryParameterContentViewQueryTypeMapper.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\QueryType\QueryParameterContentViewQueryTypeMapper::__construct | ( | QueryTypeRegistry | $queryTypeRegistry | ) |

Definition at line 21 of file QueryParameterContentViewQueryTypeMapper.php.

References eZ\Publish\Core\QueryType\QueryParameterContentViewQueryTypeMapper\$queryTypeRegistry.

## Member Function Documentation

## ◆ evaluateExpression()

eZ\Publish\Core\QueryType\QueryParameterContentViewQueryTypeMapper::evaluateExpression | ( | ContentView | $contentView,
|  |  | $queryParameterValue
| ) |  |
| private

Parameters

  ContentView | $contentView |
  string | $queryParameterValue |

Returns
  mixed

Definition at line 87 of file QueryParameterContentViewQueryTypeMapper.php.

References eZ\Publish\Core\MVC\Symfony\View\ContentView\getContent(), and eZ\Publish\Core\MVC\Symfony\View\ContentView\getLocation().

Referenced by eZ\Publish\Core\QueryType\QueryParameterContentViewQueryTypeMapper\extractParameters().

## ◆ extractParameters()

eZ\Publish\Core\QueryType\QueryParameterContentViewQueryTypeMapper::extractParameters | ( | ContentView | $contentView,
|  |  | $queryParameterValue
| ) |  |
| private

Parameters

  ContentView | $contentView |
  array | $queryParameterValue |

Returns
  array|string

Definition at line 67 of file QueryParameterContentViewQueryTypeMapper.php.

References eZ\Publish\Core\QueryType\QueryParameterContentViewQueryTypeMapper\evaluateExpression().

Referenced by eZ\Publish\Core\QueryType\QueryParameterContentViewQueryTypeMapper\extractParametersFromContentView().

## ◆ extractParametersFromContentView()

eZ\Publish\Core\QueryType\QueryParameterContentViewQueryTypeMapper::extractParametersFromContentView | ( | ContentView | $contentView | ) |
| private

Parameters

  ContentView | $contentView |

Returns
  array

Definition at line 47 of file QueryParameterContentViewQueryTypeMapper.php.

References eZ\Publish\Core\QueryType\QueryParameterContentViewQueryTypeMapper\extractParameters(), and eZ\Publish\Core\MVC\Symfony\View\BaseView\getParameter().

Referenced by eZ\Publish\Core\QueryType\QueryParameterContentViewQueryTypeMapper\map().

## ◆ map()

eZ\Publish\Core\QueryType\QueryParameterContentViewQueryTypeMapper::map | ( | ContentView | $contentView | ) |

Parameters

  \eZ\Publish\Core\MVC\Symfony\View\ContentView | $contentView |

Returns
  \eZ\Publish\Core\QueryType\QueryType

Implements eZ\Publish\Core\QueryType\ContentViewQueryTypeMapper.

Definition at line 26 of file QueryParameterContentViewQueryTypeMapper.php.

References eZ\Publish\Core\QueryType\QueryParameterContentViewQueryTypeMapper\extractParametersFromContentView(), eZ\Publish\Core\MVC\Symfony\View\BaseView\getParameter(), and eZ\Publish\Core\MVC\Symfony\View\BaseView\hasParameter().

## Member Data Documentation

## ◆ $queryTypeRegistry

eZ\Publish\Core\QueryType\QueryParameterContentViewQueryTypeMapper::$queryTypeRegistry
| private

Definition at line 19 of file QueryParameterContentViewQueryTypeMapper.php.

Referenced by eZ\Publish\Core\QueryType\QueryParameterContentViewQueryTypeMapper\__construct().

The documentation for this class was generated from the following file:

- QueryParameterContentViewQueryTypeMapper.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.